# Class DataCode

java.lang.Object
edu.byu.hbll.symphonytransactionparser.DataCode

public abstract class DataCode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACQUISITIONS_FISCAL_CYCLE`
`static final String`
`ACQUISITIONS_NEW_FISCAL_CYCLE`
`static final String`
`CALL_NUMBER`
`static final String`
`COPY_NUMBER`
`static final String`
`CURRENT_LOCATION`
`static final String`
`DISPLAY_FUND_FLAG`
`static final String`
`ENTRY_DATA`
`static final String`
`ENTRY_ID`
`static final String`
`ENTRY_INDICATORS`
`static final String`
`FUND_ACCOUNT_NUMBER`
`static final String`
`FUND_ALLOCATION`
`static final String`
`FUND_AMOUNT_INVOICED`
`static final String`
`FUND_BLOCK_OVER_ENCUMBRANCE_FLAG`
`static final String`
`FUND_CASH_BALANCE_PERCENTAGE`
`static final String`
`FUND_COPIES_INVOICED`
`static final String`
`FUND_ENCUMBRANCE`
`static final String`
`FUND_FREE_BALANCE`
`static final String`
`FUND_FREE_BALANCE_PERCENTAGE`
`static final String`
`FUND_ID`
`static final String`
`FUND_LEVEL_1`
`static final String`
`FUND_LEVEL_2`
`static final String`
`FUND_LEVEL_3`
`static final String`
`FUND_LEVEL_4`
`static final String`
`FUND_NAME`
`static final String`
`FUND_NUMBER_OUTSTANDING`
`static final String`
`FUND_NUMBER_PAID`
`static final String`
`FUND_ORDERING_ACTIVATE_FLAG`
`static final String`
`FUND_OVER_ENCUMBRANCE_PERCENTAGE`
`static final String`
`FUND_PAID`
`static final String`
`FUND_PAYING_ACTIVATE_FLAT`
`static final String`
`FUND_TOTAL_ORDERED`
`static final String`
`FUND_VENDOR_ADDING_NEW_CYCLE_FLAG`
`static final String`
`FUND_VENDOR_AVERAGE_DISCOUNT`
`static final String`
`FUND_VENDOR_NUMBER_OF_CYCLES`
`static final String`
`FUND_VENDOR_ORDERED_AVERAGE_PRICE`
`static final String`
`FUND_VENDOR_PAID_AVERAGE_PRICE`
`static final String`
`HOME_LOCATION`
`static final String`
`ITEM_ID`
`static final String`
`LOGIN_NAME_OF_WHO_LAST_MODIFIED_CATALOG`
`static final String`
`MAX_LENGTH_OF_TRANSACTION_RESPONSE`
`static final String`
`NEW_CALL_NUMBER`
`static final String`
`NEW_DUE_DATE`
`static final String`
`NEW_FUND_ID`
`static final String`
`NEW_ITEM_ID`
`static final String`
`NUMBER_OF_FUNDS_IN_A_GROUP`
`static final String`
`NUMBER_OF_FUNDS_WITH_NOLIMIT`
`static final String`
`STATION_LIBRARY`
`static final String`
`STATION_LOGIN_CLEARANCE`
`static final String`
`STATION_LOGIN_USER_ACCESS`
`static final String`
`STATION_USERS_USER_ID`
`static final String`
`USER_ID`

## Constructor Summary

Constructors
Constructor
Description
`DataCode()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FUND_ALLOCATION

public static final String FUND_ALLOCATION

See Also:
  - Constant Field Values

### FUND_ENCUMBRANCE

public static final String FUND_ENCUMBRANCE

See Also:
  - Constant Field Values

### FUND_ID

public static final String FUND_ID

See Also:
  - Constant Field Values

### FUND_NUMBER_PAID

public static final String FUND_NUMBER_PAID

See Also:
  - Constant Field Values

### FUND_PAID

public static final String FUND_PAID

See Also:
  - Constant Field Values

### FUND_TOTAL_ORDERED

public static final String FUND_TOTAL_ORDERED

See Also:
  - Constant Field Values

### FUND_NUMBER_OUTSTANDING

public static final String FUND_NUMBER_OUTSTANDING

See Also:
  - Constant Field Values

### ACQUISITIONS_FISCAL_CYCLE

public static final String ACQUISITIONS_FISCAL_CYCLE

See Also:
  - Constant Field Values

### FUND_LEVEL_2

public static final String FUND_LEVEL_2

See Also:
  - Constant Field Values

### FUND_LEVEL_1

public static final String FUND_LEVEL_1

See Also:
  - Constant Field Values

### FUND_LEVEL_3

public static final String FUND_LEVEL_3

See Also:
  - Constant Field Values

### FUND_LEVEL_4

public static final String FUND_LEVEL_4

See Also:
  - Constant Field Values

### FUND_NAME

public static final String FUND_NAME

See Also:
  - Constant Field Values

### NEW_FUND_ID

public static final String NEW_FUND_ID

See Also:
  - Constant Field Values

### FUND_FREE_BALANCE

public static final String FUND_FREE_BALANCE

See Also:
  - Constant Field Values

### FUND_AMOUNT_INVOICED

public static final String FUND_AMOUNT_INVOICED

See Also:
  - Constant Field Values

### ACQUISITIONS_NEW_FISCAL_CYCLE

public static final String ACQUISITIONS_NEW_FISCAL_CYCLE

See Also:
  - Constant Field Values

### FUND_VENDOR_PAID_AVERAGE_PRICE

public static final String FUND_VENDOR_PAID_AVERAGE_PRICE

See Also:
  - Constant Field Values

### FUND_OVER_ENCUMBRANCE_PERCENTAGE

public static final String FUND_OVER_ENCUMBRANCE_PERCENTAGE

See Also:
  - Constant Field Values

### DISPLAY_FUND_FLAG

public static final String DISPLAY_FUND_FLAG

See Also:
  - Constant Field Values

### FUND_COPIES_INVOICED

public static final String FUND_COPIES_INVOICED

See Also:
  - Constant Field Values

### FUND_FREE_BALANCE_PERCENTAGE

public static final String FUND_FREE_BALANCE_PERCENTAGE

See Also:
  - Constant Field Values

### FUND_CASH_BALANCE_PERCENTAGE

public static final String FUND_CASH_BALANCE_PERCENTAGE

See Also:
  - Constant Field Values

### FUND_ACCOUNT_NUMBER

public static final String FUND_ACCOUNT_NUMBER

See Also:
  - Constant Field Values

### FUND_VENDOR_ADDING_NEW_CYCLE_FLAG

public static final String FUND_VENDOR_ADDING_NEW_CYCLE_FLAG

See Also:
  - Constant Field Values

### FUND_BLOCK_OVER_ENCUMBRANCE_FLAG

public static final String FUND_BLOCK_OVER_ENCUMBRANCE_FLAG

See Also:
  - Constant Field Values

### FUND_ORDERING_ACTIVATE_FLAG

public static final String FUND_ORDERING_ACTIVATE_FLAG

See Also:
  - Constant Field Values

### FUND_PAYING_ACTIVATE_FLAT

public static final String FUND_PAYING_ACTIVATE_FLAT

See Also:
  - Constant Field Values

### NUMBER_OF_FUNDS_IN_A_GROUP

public static final String NUMBER_OF_FUNDS_IN_A_GROUP

See Also:
  - Constant Field Values

### FUND_VENDOR_ORDERED_AVERAGE_PRICE

public static final String FUND_VENDOR_ORDERED_AVERAGE_PRICE

See Also:
  - Constant Field Values

### FUND_VENDOR_AVERAGE_DISCOUNT

public static final String FUND_VENDOR_AVERAGE_DISCOUNT

See Also:
  - Constant Field Values

### FUND_VENDOR_NUMBER_OF_CYCLES

public static final String FUND_VENDOR_NUMBER_OF_CYCLES

See Also:
  - Constant Field Values

### NUMBER_OF_FUNDS_WITH_NOLIMIT

public static final String NUMBER_OF_FUNDS_WITH_NOLIMIT

See Also:
  - Constant Field Values

### NEW_DUE_DATE

public static final String NEW_DUE_DATE

See Also:
  - Constant Field Values

### STATION_LIBRARY

public static final String STATION_LIBRARY

See Also:
  - Constant Field Values

### STATION_LOGIN_USER_ACCESS

public static final String STATION_LOGIN_USER_ACCESS

See Also:
  - Constant Field Values

### STATION_USERS_USER_ID

public static final String STATION_USERS_USER_ID

See Also:
  - Constant Field Values

### STATION_LOGIN_CLEARANCE

public static final String STATION_LOGIN_CLEARANCE

See Also:
  - Constant Field Values

### MAX_LENGTH_OF_TRANSACTION_RESPONSE

public static final String MAX_LENGTH_OF_TRANSACTION_RESPONSE

See Also:
  - Constant Field Values

### LOGIN_NAME_OF_WHO_LAST_MODIFIED_CATALOG

public static final String LOGIN_NAME_OF_WHO_LAST_MODIFIED_CATALOG

See Also:
  - Constant Field Values

### CURRENT_LOCATION

public static final String CURRENT_LOCATION

See Also:
  - Constant Field Values

### HOME_LOCATION

public static final String HOME_LOCATION

See Also:
  - Constant Field Values

### CALL_NUMBER

public static final String CALL_NUMBER

See Also:
  - Constant Field Values

### COPY_NUMBER

public static final String COPY_NUMBER

See Also:
  - Constant Field Values

### NEW_CALL_NUMBER

public static final String NEW_CALL_NUMBER

See Also:
  - Constant Field Values

### ENTRY_DATA

public static final String ENTRY_DATA

See Also:
  - Constant Field Values

### ENTRY_INDICATORS

public static final String ENTRY_INDICATORS

See Also:
  - Constant Field Values

### ENTRY_ID

public static final String ENTRY_ID

See Also:
  - Constant Field Values

### ITEM_ID

public static final String ITEM_ID

See Also:
  - Constant Field Values

### NEW_ITEM_ID

public static final String NEW_ITEM_ID

See Also:
  - Constant Field Values

### USER_ID

public static final String USER_ID

See Also:
  - Constant Field Values

## Constructor Details

### DataCode

public DataCode()